.TH GRAMMALECTE "1" "April 2021" "grammalecte-cli" "User Commands"
.SH NAME
grammalecte-cli \- command-line interface for grammalecte
.SH SYNOPSIS
.B grammalecte-cli
[\fI\,OPTION\/\fR]...
.SH DESCRIPTION
.PP
Grammalecte is a French language spellchecker, grammar checker and hyphenator.
.PP
.TP
\fB\-h, \-?, \-\-help\fP
show a help message and exit
.TP
\fB\-f, \-\-file\fI FILE\fP
parse file (UTF-8 required!) [on Windows, -f is similar to -ff]
.TP
\fB\-ff, \-\-file_to_file\fI FILE\fP
parse file (UTF-8 required!) and create a result file (*.res.txt)
.TP
\fB\-fff, \-\-interactive_file_to_file\fI FILE\fP
parse file (UTF-8 required!) and create a result file (*.res.txt)
.TP
\fB\-owe, \-\-only_when_errors\fP
display results only when there are errors
.TP
\fB\-j, \-\-json\fP
generate list of errors in JSON (only with option --file or --file_to_file)
.TP
\fB\-cl, \-\-concat_lines\fP
concatenate lines not separated by an empty paragraph (only with option --file
or --file_to_file)
.TP
\fB\-tf, \-\-textformatter\fP
auto-format text according to typographical rules (not with option --concat_lines)
.TP
\fB\-tfo, \-\-textformatteronly\fP
auto-format text and disable grammar checking (only with option --file or --file_to_file)
.TP
\fB\-ctx, \-\-context\fP
return errors with context (only with option --json)
.TP
\fB\-wss, \-\-with_spell_sugg\fP
add suggestions for spelling errors (only with option --file or --file_to_file)
.TP
\fB\-pdi, \-\-personal_dict\fI FILE\fP
load personal dictionary (JSON file)
.TP
\fB\-w, \-\-width\fI WIDTH\fP
width in characters (40 < \fIWIDTH\fP < 200; default: 100)

supported values for \fIWIDTH\fP:
40, 50, 60, 70, 80, 90, 100, 110, 120, 130, 140, 150, 160, 170, 180, 190, 200

.TP
\fB\-lo, \-\-list_options\fP
list options
.TP
\fB\-lr, \-\-list_rules\fR [\fIRULE\fR]...\fP
list rules [regex pattern as filter]
.TP
\fB\-sug, \-\-suggest\fI WORD\fP
get suggestions list for given \fIWORD\fP
.TP
\fB\-on, \-\-opt-on\fR [\fIOPT\fR]...\fP
activate options
.TP
\fB\-off, \-\-opt-off\fR [\fIOPT\fR]...\fP
deactivate options
.TP
\fB\-roff, \-\-rule_off\fR [\fIRULE\fR]...\fP
deactivate rules
.TP
\fB\-d, \-\-debug\fR
debugging mode (only in interactive mode)

.SH "REPORTING BUGS"
Report bugs to  <http://code.grammalecte.net:8080/rptview?rn=1>
